#ifndef _TAS2563_REGMAP_H_
#define _TAS2563_REGMAP_H_

#define CFG_META_SWITCH (255)
#define CFG_META_DELAY  (254)
#define CFG_META_BURST  (253)

typedef unsigned char cfg_u8;

typedef union {
	struct {
		cfg_u8 offset;
		cfg_u8 value;
	};  
	struct {
		cfg_u8 command;
		cfg_u8 param;
	};  
} cfg_reg;

cfg_reg power_down_reset [] = {
	{0x00, 0x00},
	{0x7F, 0x00},
	{0x02, 0x0e},// i/v sense down + shutdown
	{0x01, 0x01},// reset
	{CFG_META_DELAY, 0x01},
	{0x08, 0x5e},// mono left pcm + 32bits
};

cfg_reg pll[] = {
#if 0
    { 0x00, 0x00 },
    { 0x7f, 0x00 },
    { 0x00, 0x01 },
    { 0x73, 0x0f },
    { 0x74, 0x00 },
    { 0x00, 0x00 },
    { 0x7f, 0x64 },
    { 0x1b, 0x01 },
    { 0x1c, 0x18 },
    { 0x1d, 0x00 },
    { 0x1e, 0x00 },
    { 0x20, 0x03 },
    { 0x22, 0x08 },
    { 0x02, 0x10 },
    { 0x21, 0x08 },
    { 0x01, 0x08 },
    { 0x2b, 0x00 },
    { 0x2c, 0x40 },
    { 0x1f, 0x20 },
    { 0x2a, 0x00 },
#endif
};

cfg_reg powerup [] = {
	{0x00, 0x00},
	{0x7F, 0x00},
	{0x30, 0x1d}, //clear int
	{0x1a, 0xff}, //disable int
	{0x1b, 0xff}, //disable int
	{0x02, 0x00}, //enable i/v sense , active

	{0x00, 0x02}, //book=2 ,page = 0,
	{0x7F, 0x00}, 
	{0x5c, 0x00}, //pICN
	{0x5c, 0x00},
	{0x5c, 0x2f},
	{0x5c, 0x2c},
	{0x64, 0x00}, //pICNDelay
	{0x64, 0x00},
	{0x64, 0x70},
	{0x64, 0x80},

	{0x00, 0x00},
	{0x7F, 0x00}, //book=0 ,page = 0,
	{0x1a, 0xf8}, //int
	{0x1b, 0xb1},

	{0x02, 0x00}, //enable i/v sense , active
};

cfg_reg unmute [] = {
	{0x00, 0x00},
	{0x7F, 0x00},
	{0x02, 0x00}, // i/v sense enable + shutdown
};

cfg_reg program[] = {
};

cfg_reg configuration[] = {
};
#endif /* _TAS2557_REGMAP_H_ */
